% Delivered to the Government in Accordance with Contract FA8650-10-C-7080
% 
%  (c) 2011 United Technologies Corp.
% Developed with the sponsorship of the Defense Advanced Research Projects Agency (DARPA).
%  
% Permission is hereby granted, free of charge, to any person obtaining a copy of this data, including any software or models in source or binary form, as well as any drawings, specifications, and documentation (collectively "the Data"), to deal in the Data without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Data, and to permit persons to whom the Data is furnished to do so, subject to the following conditions:
%  
% The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Data.
%  
% THE DATA IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS, SPONSORS, DEVELOPERS, CONTRIBUTORS, OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE DATA OR THE USE OR OTHER DEALINGS IN THE DATA.
% 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Part 1: Iteration Variable Vector Consisting of Beta and Speed
    iteration_structure = {'beta_Fan';'beta_LPC';'beta_HPC';'beta_HPT';'beta_IPT';'beta_LPT';'Speed_Fan';'Speed_LPC';'Speed_HPC'; 'Speed_HPT'; 'Speed_IPT';'Speed_LPT'};
    num = size(iteration_structure,1);
    length = size(iteration_structure,2);
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    for count = 1:num
        current_variable = iteration_structure{count,1};
        if strcmp(current_variable(1:4), 'beta')> 0.5   
            guess(count) = 0.5;
        elseif strcmp(current_variable(1:5), 'Speed')> 0.5
            guess(count) = 1.0; 
        end
    end

    % Burner exit temperature
    guess(num+1) = 1600;
    
 
 % Create the iteration Vector
 iteration_vector = [];
 
 for counter =1:num
           iteration_vector = strcat(iteration_vector,(iteration_structure(counter,:)),'= iteration_var(',num2str(counter),');');
 end
   
 iteration_vector=strcat(iteration_vector,'T_max = iteration_vector(num+1);');
 display(iteration_vector);